Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.pmapi
Enum ProcessInfoCustomizer.Item

    java.lang.Object
      java.lang.Enum<ProcessInfoCustomizer.Item>
          org.apache.ode.bpel.pmapi.ProcessInfoCustomizer.Item

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProcessInfoCustomizer.Item>

Enclosing class:
  ProcessInfoCustomizer

    public static enum ProcessInfoCustomizer.Item

extends java.lang.Enum<ProcessInfoCustomizer.Item>

Enum Constant Summary
`ENDPOINTS`
`PROPERTIES`
`SUMMARY`

Method Summary
`static ProcessInfoCustomizer.Item` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProcessInfoCustomizer.Item[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUMMARY

    public static final ProcessInfoCustomizer.Item SUMMARY

### PROPERTIES

    public static final ProcessInfoCustomizer.Item PROPERTIES

### ENDPOINTS

    public static final ProcessInfoCustomizer.Item ENDPOINTS

Method Detail

### values

    public static final ProcessInfoCustomizer.Item[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ProcessInfoCustomizer.Item c : ProcessInfoCustomizer.Item.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ProcessInfoCustomizer.Item valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD